// parseUri 1.2.2
// (c) Steven Levithan <stevenlevithan.com>
// MIT License

function parseUri (str) {
  var	o   = parseUri.options,
      m   = o.parser[o.strictMode ? "strict" : "loose"].exec(str),
      uri = {},
      i   = 14;

  while (i--) uri[o.key[i]] = m[i] || "";

  uri[o.q.name] = {};
  uri[o.key[12]].replace(o.q.parser, function ($0, $1, $2) {
    if ($1) uri[o.q.name][$1] = $2;
  });

  return uri;
}

parseUri.options = {
  strictMode: false,
  key: ["source","protocol","authority","userInfo","user","password","host","port","relative","path","directory","file","query","anchor"],
  q:   {
    name:   "queryKey",
    parser: /(?:^|&)([^&=]*)=?([^&]*)/g
  },
  parser: {
    strict: /^(?:([^:\/?#]+):)?(?:\/\/((?:(([^:@]*)(?::([^:@]*))?)?@)?([^:\/?#]*)(?::(\d*))?))?((((?:[^?#\/]*\/)*)([^?#]*))(?:\?([^#]*))?(?:#(.*))?)/,
    loose:  /^(?:(?![^:@]+:[^:@\/]*@)([^:\/?#.]+):)?(?:\/\/)?((?:(([^:@]*)(?::([^:@]*))?)?@)?([^:\/?#]*)(?::(\d*))?)(((\/(?:[^?#](?![^?#\/]*\.[^?#\/.]+(?:[?#]|$)))*\/?)?([^?#\/]*))(?:\?([^#]*))?(?:#(.*))?)/
  }
};

function encode(url) {
  return encodeURIComponent(url).replace(/'/g,"%27").replace(/"/g,"%22");
}
function decode(url) {
  return decodeURIComponent(url.replace(/\+/g,  " "));
}

var showBadLinks = function() {
  var queryKey = parseUri(window.location.search).queryKey,
      url = '',
      link = $('a[href]');


  if (!queryKey.url) {
    return false;
  }
  url = decode(queryKey.url);

  if (url.lastIndexOf('/') == url.length -1) {
    url = url.substring(0, url.length -1)
  }
  var bad_links = link.filter(function(i, item){
    var $item = $(item),
        path = parseUri($item[0].href).path,
        reg = new RegExp("^" + url.replace(/([\.\\\?])/gi, '\$1') + "/?$");
    return reg.test(path);
  });

  if (bad_links.length <= 0) {
    return false;
  }

  bad_links.addClass('bad-link');

  $(document).scrollTop(bad_links.eq(0).offset().top - 20);

  return true;
};


$(function(){
  showBadLinks();
});