var resizeMap = function(map, img) {
  var areas = $('area', map),
      imgWidth = img.width(),
      origSize = map.data('original') || 900,
      k = imgWidth / origSize;

  areas.each(function() {
    var area = $(this),
        shape = area.attr('shape'),
        coords;

    if( shape == 'default' ) { return; }

    if (!area.data('coords')) {
      area.data('coords', area.attr('coords'));
    }

    coords = area.data('coords').split(',');

    coords = $.map(coords, function(n) {
      return parseInt(n,10)*k;
    });

    area.attr('coords', coords.join(','));
  });
};

var banner_big = function() {
  var bannerBig = $('#banner_big'),
      map, img;

  if (bannerBig.length <= 0) {
    return false;
  }

  map = $('map', bannerBig);

  if (map.length <= 0) {
    return false;
  }

  img = $('img[usemap="#'+map.attr('id')+'"]');
  resizeMap(map, img);

  $(window).resize(function() {
    resizeMap(map, img);
  });

  return true;
};

$(function() {
  banner_big();
});